import { FeatureDefinition, FeatureSetCollectionDefinition, FeatureSetDefinition, VoxelDefinition, PixelDefinition } from './types';
import { ArcadeSupportedFeatureSetLayerUnion } from '@arcgis/core/arcade';
import { default as Map } from '@arcgis/core/Map';
import { default as ImageryLayer } from '@arcgis/core/layers/ImageryLayer';
import { default as ImageryTileLayer } from '@arcgis/core/layers/ImageryTileLayer';
import { default as CodedValueDomain } from '@arcgis/core/layers/support/CodedValueDomain';
import { default as InheritedDomain } from '@arcgis/core/layers/support/InheritedDomain';
import { default as Subtype } from '@arcgis/core/layers/support/Subtype';
import { default as VoxelLayer } from '@arcgis/core/layers/VoxelLayer';
import type * as types from "./types";
export declare function isFeatureLayerLikeInstance(item: unknown): item is types.IFeatureLayerLikeInstance;
export declare function isSupportedLayerInstanceType(item: unknown): item is ArcadeSupportedFeatureSetLayerUnion;
export declare function isGroupLayerCapable(item: unknown): item is types.IGroupLayerCapable;
export declare function isMapInstance(item: unknown): item is Map;
export declare function isLoadAllCapable(item: unknown): item is types.ILoadAllCapable;
export declare function isPortalItemDefinition(item: unknown): item is types.IPortalItemDefinition;
export declare function isFeatureLayerItemDefinition(item: unknown): item is types.IFeatureLayerItemDefinition;
export declare function isFieldsDefinition(item: unknown): item is types.IFieldsDefinition;
export declare function isUrlDefinition(item: unknown): item is types.IUrlDefinition;
export declare function isSupportedServiceUrlDefinition(item: unknown): item is types.IUrlDefinition;
export declare function isFeatureDefinition(item: unknown): item is FeatureDefinition;
export declare function isVoxelDefinition(item: unknown): item is VoxelDefinition;
export declare function isPixelDefinition(item: unknown): item is PixelDefinition;
export declare function isFeatureSetDefinition(item: unknown): item is FeatureSetDefinition;
export declare function isFeatureSetCollectionDefinition(item: unknown): item is FeatureSetCollectionDefinition;
export declare function isSubtypeInstance(item: unknown): item is Subtype;
export declare function isCodedValueDomainInstance(item: unknown): item is CodedValueDomain;
export declare function isInheritedDomainInstance(item: unknown): item is InheritedDomain;
export declare function isPredefinedProfile(item: unknown): item is types.IPredefinedProfile;
export declare function isTitleCapableSource(item: unknown): item is types.ITitleCapableSource;
export declare function isUrlCapableSource(item: unknown): item is types.IUrlCapableSource;
export declare function isLayerIdCapableSource(item: unknown): item is types.ILayerIdCapableSource;
export declare function isFeatureTypesCapableLayer(item: unknown): item is types.IFeatureTypesCapableSource;
export declare function isDomainsCapableLayer(item: unknown): item is types.IDomainsCapableSource;
export declare function isSubtypeFieldCapableLayer(item: unknown): item is types.ISubtypeFieldCapableSource;
export declare function isSubtypesCapableLayer(item: unknown): item is types.ISubtypesCapableSource;
export declare function isPortalItemCapable(item: unknown): item is types.IPortalItemCapable;
export declare function isRelationshipsCapableLayer(item: unknown): item is types.IRelationshipsCapableSource;
export declare function isTableCapableLayer(item: unknown): item is types.ITableCapableSource;
/**
 * Checks if the item is a supported geometry capable layer.
 */
export declare function isGeometryLikeLayer(item: unknown): item is types.IGeometryCapableSource;
export declare function isLoadableSource(item: unknown): item is types.ILoadableSource;
export declare function isVoxelLayer(item: unknown): item is VoxelLayer;
export declare function isImageryLayer(item: unknown): item is ImageryLayer | ImageryTileLayer;
export declare function supportedSourceFromDefinition(definition: types.FeatureDefinition | types.FeatureSetDefinition | null | undefined): Promise<types.SupportedSource | null>;
export declare function serviceMetaData(url: string): Promise<{
    layers: types.LayerInfo[];
    tables: types.LayerInfo[];
}>;
